## Get the License State for the Organization

### GET /v2.0/system/license

Try it

### Request

#### cURL

```bash
curl --request GET \
  --url https://api-trial.cognigy.ai/new/v2.0/system/license \
  --header 'X-API-Key: <api-key>'
```

#### Python

```python
import requests

url = "https://api-trial.cognigy.ai/new/v2.0/system/license"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
```

#### JavaScript (Fetch)

```javascript
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api-trial.cognigy.ai/new/v2.0/system/license', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

#### PHP

```php
$curl = curl_init();

curl_setopt_array($curl, [\
  CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/system/license",\
  CURLOPT_RETURNTRANSFER => true,\
  CURLOPT_ENCODING => "",\
  CURLOPT_MAXREDIRS => 10,\
  CURLOPT_TIMEOUT => 30,\
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
  CURLOPT_CUSTOMREQUEST => "GET",\
  CURLOPT_HTTPHEADER => [\
    "X-API-Key: <api-key>"\
  ],\
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

### Responses

#### Status Codes

- **200**: The state of the license
- **400**: Bad Request
- **401**: Unauthorized
- **402**: Payment Required
- **403**: Forbidden
- **404**: Not Found
- **405**: Method Not Allowed
- **409**: Conflict
- **413**: Payload Too Large
- **500**: Internal Server Error
- **501**: Not Implemented
- **502**: Bad Gateway
- **503**: Service Unavailable
- **504**: Gateway Timeout

### Example Response

Successful response:

```json
{
  "state": "valid"
}
```

Error response example:

```json
{
  "type": "Bad Request",
  "title": "Bad Request Error",
  "status": 400,
  "detail": "Validation failed. Missing payload.",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 1000,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

### Authorizations

#### X-API-Key
- **Type:** header
- **Required:** Yes

Supply the API Key in the HTTP-Header

### Headers

#### Accept
- **Type:** enum<string>
- The `Accept` header specifies the media type that the client expects in the response. 
- **Available options:**
  - `application/json`
  - `application/hal+json`
  - `application/xml`
  - `text/xml`
  - `text/csv`

The default value is `application/json`.

### Response Structure

- **state**: The state of the license. Available options are:
  - `invalid`
  - `valid`
  - `valid3MonthsLeft`
  - `willExpireSoon`
  - `expiredRenewRequired`
  - `expired`
